aboutsummaryrefslogtreecommitdiff
path: root/bin/get-books
diff options
context:
space:
mode:
authorJoris2023-02-08 10:33:51 +0100
committerJoris2023-02-08 10:33:51 +0100
commit0aa9ef160fe3362a85a6e9b678d1b65756c8e3a0 (patch)
tree7ebbc0ce06ab4c644e1a4045c5cdb6232735a7fc /bin/get-books
parent959c28f52e2ac1038f27110c88344fb321ed8e0e (diff)
Filter on read status
Diffstat (limited to 'bin/get-books')
-rwxr-xr-xbin/get-books23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/get-books b/bin/get-books
new file mode 100755
index 0000000..0fbbd2f
--- /dev/null
+++ b/bin/get-books
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+set -euo pipefail
+cd $(dirname "$0")/..
+
+if [ "$#" == 1 ]; then
+ BOOK_DIR="$1"
+else
+ echo "usage: $0 path-to-book-directory"
+ exit 1
+fi
+
+echo "const books = ["
+
+for METADATA in $(find "$BOOK_DIR" -name 'metadata.json'); do
+ DIR=$(dirname "$METADATA")
+ COVER=$(ls $DIR/cover.*)
+
+ cat "$METADATA" | head -n -1
+ echo ", \"cover\": \"$COVER\""
+ echo "},"
+done
+
+echo "]"